import BaseSchema from '@ioc:Adonis/Lucid/Schema'

export default class extends BaseSchema {
    protected tableName = 'user_balances'

    public async up() {
        this.schema.createTable(this.tableName, (table) => {
            table.increments('id')
            table.datetime('created_at', { useTz: true })
            table.datetime('updated_at', { useTz: true })
            table.integer('user_id').unsigned().references('users.id').onDelete('CASCADE')
            table.decimal('balance', 19, 6).notNullable().defaultTo(0)
            table.decimal('last_balance', 19, 6).notNullable().defaultTo(0)
        })
    }

    public async down() {
        this.schema.dropTable(this.tableName)
    }
}
